Subject: Re: [calsify] WG Last Call: draft-ietf-calext-rscale-01.txt

From: Cyrus Daboo <[email-masked]>
Date: Mon, 01 Dec 2014 11:13:14 -0500

Hi Ken,

--On November 24, 2014 at 3:40:02 PM -0500 Ken Murchison 
<[email-masked]> wrote:

>>    2. Correctly parse any "rscale" JSON member in an "rrule" JSOB object.
>
> In the above to steps,  I think "rrule" JSON object should be "recur"
> JSON object.

Correct.

>>    5. Serialize the "SKIP" element in an "RRULE" property as a "skip"
>> JSON member in the "rrule" JSON object. The value of the "skip" JSON
>> member MUST be a string containing lowercased values for the "SKIP"
>> element as defined by this specification.
>
> Why lowercased?  We preserve case for "freq" and "wkst", and presumably
> "byday".

My mistake. The standard case-mapping rules for jCal and xCal should be 
used.

>>    6. Correctly parse any "skip" JSON member in an "rrule" JSOB object.
>>
>>
>> And I will do an equivalent for xCal, defining new XML elements as
>> needed. I think that should address Marten's comment.
>>
>
> Does this look correct for an RRULE such as:
> RRULE:FREQ=YEARLY;RSCALE=CHINESE;SKIP=YES;BYMONTH=6,6L
>
>          [
>            "rrule",
>            {},
>            "recur",
>            {
>              "freq": "YEARLY",
>              "rscale": "CHINESE",
>              "skip": "YES",
>              "bymonth": [
>                6,
>                "6L"
>              ]
>            }
>          ],
>
>
>
>            <rrule>
>              <recur>
>                <freq>YEARLY</freq>
>                <rscale>CHINESE</rscale>
>                <skip>YES</skip>
>                <bymonth>6</bymonth>
>                <bymonth>6L</bymonth>
>              </recur>
>            </rrule>

Yes those look right to me.

-- 
Cyrus Daboo